<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::table('form_up_country', function (Blueprint $table) {
            $table->integer('approved_allowance')->after('total')->nullable();
            $table->integer('approved_transport_dalkot')->after('approved_allowance')->nullable();
            $table->integer('approved_transport_ankot')->after('approved_transport_dalkot')->nullable();
            $table->integer('approved_hotel')->after('approved_transport_ankot')->nullable();
            $table->integer('approved_total')->after('approved_hotel')->nullable();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::table('form_up_country', function (Blueprint $table) {
            $table->dropColumn('approved_allowance');
            $table->dropColumn('approved_transport_dalkot');
            $table->dropColumn('approved_transport_ankot');
            $table->dropColumn('approved_hotel');
            $table->dropColumn('approved_total');
        });
    }
};
